function Xstd = standardize( X )
% Funkcija za standardizovanje podataka

    Xstd = X;
    mu = mean(X);
    sigma = std(X);
    
    Xstd = Xstd - (mu'*ones(size(X, 1), 1)')';
    for i = 1:size(X, 2)
        Xstd(:, i) = Xstd(:, i) / sigma(i);
    end

end
